<%-- 
releaseCar.jsp
--%>
<%@ page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/strict.dtd">


<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://myfaces.apache.org/tomahawk" prefix="t"%>
<%@ taglib uri="http://richfaces.org/rich" prefix="rich"%>
<%@ taglib uri="http://richfaces.org/a4j" prefix="a4j"%>

<html>
<f:view locale="#{LanguageBean.locale}">

	<%-- head --%>
	<%@ include file="head.jspf"%>

	<t:documentBody onload="hideWaitDialog();">
		<t:div styleClass="FLYParent">
			<%-- hlavicka --%>
			<%@ include file="header.jspf"%>

			<%-- menu --%>
			<%@ include file="menuRich.jspf"%>

			<%-- telo --%>
			<t:div styleClass="mainContent">
				<%-- neni opravneni pro tuto stranku --%>
				<t:div
					rendered="#{!AuthBean.ur02AdminQuotas&&!AuthBean.ur06Developer}">
					<%-- neni opravneni --%>
					<%@ include file="noAccess.jspf"%>
				</t:div>

				<%-- je opravneni pro tuto stranku --%>
				<t:div
					rendered="#{AuthBean.ur02AdminQuotas||AuthBean.ur06Developer}">
					<a4j:keepAlive beanName="ReleaseCarBean" />

					<h2><h:outputLabel value="#{msg.releasingCar}" escape="false" /></h2>

					<h:form>
						<%-- Typy vozu --%>
						<h:panelGrid>
							<%-- aby bylo stejne odsazeny jako v info --%>
							<t:fieldset legend="#{msg.carStates}" style="width: 310px;">
								<h:panelGrid columns="3">
									<h:outputLabel value="#{msg.carStates}" for="idCarStates" />
									<h:selectOneMenu id="idCarStates"
										value="#{ReleaseCarBean.carState}" style="width: 110px;">
										<f:selectItems value="#{ReleaseCarBean.carStates}" />
									</h:selectOneMenu>
									<h:commandButton value="#{msg.choose}"
										action="#{ReleaseCarBean.choose}" onclick="showWaitDialog();" />
								</h:panelGrid>
							</t:fieldset>
						</h:panelGrid>
					</h:form>

					<h:form>
						<h:panelGrid columns="3" border="0" rowClasses="tableRowTop">
							<%-- Zakladni informace --%>
							<t:fieldset legend="#{msg.basicInformation}"
								styleClass="carInfoFieldSets">
								<h:panelGrid columns="2" columnClasses="columnWidth2" border="1"
									width="312" id="idBasicInformationTable"
									style="border-spacing: 0px;border-collapse:collapse;border-color:black;">

									<%-- Typ vozidla --%>
									<h:outputLabel value="#{msg.carType}" for="idCarType" />
									<t:div style="height:14px;overflow: hidden;">
										<h:outputText value="#{ReleaseCarBean.selectedCar.modelDesc}"
											id="idCarType">
											<rich:toolTip value="#{ReleaseCarBean.selectedCar.modelDesc}"
												followMouse="true" />
										</h:outputText>
									</t:div>

									<%-- Registracni znacka --%>
									<h:outputLabel value="#{msg.licencePlate}" for="idLicencePlate" />
									<h:outputText
										value="#{ReleaseCarBean.selectedCar.licencePlate}"
										id="idLicencePlate" />

									<%-- Interior --%>
									<h:outputLabel value="#{msg.interior}" for="idInterior" />
									<h:outputText value="#{ReleaseCarBean.selectedCar.interior}"
										id="idInterior" />

									<%-- Popis interioru --%>
									<h:outputLabel value="#{msg.interiorDesc}" for="idInteriorDesc" />
									<t:div style="height:14px;overflow: hidden;">
										<h:outputText
											value="#{ReleaseCarBean.selectedCar.interiorDesc}"
											id="idInteriorDesc">
											<rich:toolTip
												value="#{ReleaseCarBean.selectedCar.interiorDesc}"
												followMouse="true" />
										</h:outputText>
									</t:div>

									<%-- Popis barvy --%>
									<h:outputLabel value="#{msg.color}" for="idColorDesc" />
									<t:div style="height:14px;overflow: hidden;">
										<h:outputText value="#{ReleaseCarBean.selectedCar.colorDesc}"
											id="idColorDesc">
											<rich:toolTip value="#{ReleaseCarBean.selectedCar.colorDesc}"
												followMouse="true" />
										</h:outputText>
									</t:div>

									<%-- Datum fakturace --%>
									<h:outputLabel value="#{msg.invoiceDate}" for="idInvoiceDate" />
									<h:outputText value="#{ReleaseCarBean.selectedCar.invoiceDate}"
										id="idInvoiceDate" />

									<%-- Max vykon --%>
									<h:outputLabel value="#{msg.maxPower}" for="idMaxPower" />
									<h:outputText value="#{ReleaseCarBean.selectedCar.power}"
										id="idMaxPower" />

									<%-- Zdvihovy objem --%>
									<h:outputLabel value="#{msg.cubature}" for="idCubature" />
									<h:outputText value="#{ReleaseCarBean.selectedCar.cubature}"
										id="idCubature" />

									<%-- Modelova trida --%>
									<h:outputLabel value="#{msg.modelClass}" for="idModelClass" />
									<h:outputText value="#{ReleaseCarBean.selectedCar.modelClass}"
										id="idModelClass" />

								</h:panelGrid>
								<a4j:status>
									<f:facet name="start">
										<h:graphicImage value="/_gui/12710705622.gif"
											alt="#{msg.waitPlease}" />
									</f:facet>
								</a4j:status>
							</t:fieldset>

							<%-- Vybava vozu --%>
							<t:fieldset legend="#{msg.carEquipment}"
								styleClass="carInfoFieldSets">
								<rich:extendedDataTable id="idPakagesTable"
									value="#{ReleaseCarBean.dataModelPackages}" var="var"
									width="280px" height="200px" selectionMode="single"
									sortMode="single" noDataLabel="#{msg.noDataLabel}" rows="0"
									selectedClass="selectedClass">

									<rich:column label="#{msg.equipmentCode}" width="70"
										sortBy="#{var.packet}">
										<f:facet name="header">
											<h:outputText value="#{msg.equipmentCode}" />
										</f:facet>
										<h:outputText value="#{var.packet}" />
									</rich:column>

									<rich:column label="#{msg.description}" width="210"
										sortBy="#{var.description}">
										<f:facet name="header">
											<h:outputText value="#{msg.description}" />
										</f:facet>
										<h:outputText value="#{var.description}" />
										<rich:toolTip value="#{var.description}" followMouse="true" />
									</rich:column>
								</rich:extendedDataTable>
							</t:fieldset>

							<%-- Obchodnici --%>
							<t:fieldset legend="#{msg.dealers}" styleClass="carInfoFieldSets">
								<rich:extendedDataTable title="#{msg.dealersOrderedList}"
									id="idDealerstable" value="#{ReleaseCarBean.dataModelDealers}"
									var="var" width="250px" height="200px" selectionMode="single"
									sortMode="single" noDataLabel="#{msg.noDealerOrdered}" rows="0"
									selectedClass="selectedClass">

									<rich:column label="#{msg.dealerNr}" width="50"
										sortBy="#{var.dealerNr}">
										<f:facet name="header">
											<h:outputText value="#{msg.dealerNr}" />
										</f:facet>
										<h:outputText value="#{var.dealerNr}" />
									</rich:column>

									<rich:column label="#{msg.dealerName}" width="200"
										sortBy="#{var.dealerName}">
										<f:facet name="header">
											<h:outputText value="#{msg.dealerName}" />
										</f:facet>
										<h:outputText value="#{var.dealerName}" />
										<rich:toolTip value="#{var.dealerName}" followMouse="true" />
									</rich:column>
								</rich:extendedDataTable>

								<h:outputLabel value="#{msg.drawedDealer}" for="idDrawedDealer" />
								<h:outputText id="idDrawedDealer"
									value="#{ReleaseCarBean.selectedCar.drawedDealer}" />
							</t:fieldset>
						</h:panelGrid>

						<%-- Vozy --%>
						<h:panelGrid>
							<%-- aby bylo stejne odsazeny jako v info --%>
							<t:fieldset legend="#{msg.cars}" style="width: 874px;">
								<rich:extendedDataTable value="#{ReleaseCarBean.dataModelCars}"
									var="var" width="871px" height="200px" selectionMode="multi"
									sortMode="single" noDataLabel="#{msg.noDataLabel}"
									selection="#{ReleaseCarBean.selection}" rows="0"
									selectedClass="selectedClass">
									<%-- VIN --%>
									<rich:column label="#{msg.vin}" width="120" sortBy="#{var.vin}">
										<f:facet name="header">
											<h:outputText value="#{msg.vin}" />
										</f:facet>
										<h:outputText value="#{var.vin}" />
									</rich:column>

									<%-- Komise --%>
									<rich:column label="#{msg.commission}" width="70"
										sortBy="#{var.commission}">
										<f:facet name="header">
											<h:outputText value="#{msg.commission}" />
										</f:facet>
										<h:outputText value="#{var.commission}" />
									</rich:column>

									<%-- Modelovy rok --%>
									<rich:column label="#{msg.modelYear}" width="50"
										sortBy="#{var.modelYear}">
										<f:facet name="header">
											<h:outputText value="#{msg.mr}" />
										</f:facet>
										<h:outputText value="#{var.modelYear}" />
									</rich:column>

									<%-- Model --%>
									<rich:column label="#{msg.model}" width="50"
										sortBy="#{var.model}">
										<f:facet name="header">
											<h:outputText value="#{msg.model}" />
										</f:facet>
										<h:outputText value="#{var.model}" />
										<rich:toolTip value="#{var.modelDesc}" followMouse="true" />
									</rich:column>

									<%-- Barva --%>
									<rich:column label="#{msg.color}" width="50"
										sortBy="#{var.color}">
										<f:facet name="header">
											<h:outputText value="#{msg.color}" />
										</f:facet>
										<h:outputText value="#{var.color}" />
										<%-- Popis barvy --%>
										<rich:toolTip value="#{var.colorDesc}" followMouse="true" />
									</rich:column>

									<%-- Do provozu --%>
									<rich:column label="#{msg.toDuty}" width="100"
										sortBy="#{var.takeOverDate}">
										<f:facet name="header">
											<h:outputText value="#{msg.toDuty}" />
										</f:facet>
										<h:outputText value="#{var.takeOverDate}">
											<f:convertDateTime timeZone="#{LanguageBean.timeZone}"
												pattern="dd.MM.yyyy" />
										</h:outputText>
									</rich:column>

									<%-- Max cena --%>
									<rich:column label="#{msg.maxPrice}" width="70"
										sortBy="#{var.calcPrice}" style="text-align:right;">
										<f:facet name="header">
											<h:outputText value="#{msg.maxPrice}" />
										</f:facet>
										<h:outputText value="#{var.calcPrice}">
											<f:convertNumber groupingUsed="true"
												locale="#{LanguageBean.locale}" />
										</h:outputText>
									</rich:column>

									<%-- K odběru --%>
									<rich:column label="#{msg.toDelivery}" width="100"
										sortBy="#{var.toDelivery}">
										<f:facet name="header">
											<h:outputText value="#{msg.toDelivery}" />
										</f:facet>
										<h:outputText value="#{var.toDelivery}" />
									</rich:column>

									<%-- Pakety --%>
									<rich:column label="#{msg.packages}" width="192"
										sortBy="#{var.packegesString}">
										<f:facet name="header">
											<h:outputText value="#{msg.packages}" />
										</f:facet>
										<h:outputText value="#{var.packegesString}" />
										<rich:toolTip value="#{var.packegesString}" followMouse="true" />
									</rich:column>

									<%-- Cena --%>
									<rich:column label="#{msg.price}" width="70"
										sortBy="#{var.custPrice}" style="text-align:right;">
										<f:facet name="header">
											<h:outputText value="#{msg.price}" />
										</f:facet>
										<h:outputText value="#{var.custPrice}">
											<f:convertNumber groupingUsed="true"
												locale="#{LanguageBean.locale}" />
										</h:outputText>
									</rich:column>

									<a4j:support
										reRender="idBasicInformationTable,idDealerstable,idPakagesTable,idDrawedDealer"
										action="#{ReleaseCarBean.selectCar}" event="onselectionchange" />

									<a4j:support action="#{ReleaseCarBean.changeCarPrice}"
										event="ondblclick" />

								</rich:extendedDataTable>
							</t:fieldset>
						</h:panelGrid>

						<t:htmlTag value="br" />

						<%-- Tlacitka--%>
						<h:panelGroup layout="block"
							style="margin-left: auto;margin-right: auto;text-align: center;">
							<h:commandButton action="#{ReleaseCarBean.releaseCars}"
								value="#{msg.release}" onclick="showWaitDialog();"
								disabled="#{AuthBean.ur06Developer||ReleaseCarBean.releaseButtonDisabled}" />
							<h:outputText value=" &nbsp; " escape="false" />
							<h:commandButton action="#{ReleaseCarBean.excludeCars}"
								value="#{msg.exclude}" onclick="showWaitDialog();"
								disabled="#{AuthBean.ur06Developer||ReleaseCarBean.excludeButtonDisabled}" />
							<h:outputText value=" &nbsp; " escape="false" />
							<h:commandButton action="#{ReleaseCarBean.takeCarsBack}"
								value="#{msg.takeCarsBack}" onclick="showWaitDialog();"
								disabled="#{AuthBean.ur06Developer||ReleaseCarBean.takeBackButtonDisabled}" />
							<h:outputText value=" &nbsp; " escape="false" />
							<h:commandButton action="#{ReleaseCarBean.changeCarPrice}"
								value="#{msg.changeCarPrice}" onclick="showWaitDialog();" />
							<h:outputText value=" &nbsp; " escape="false" />
							<h:commandButton action="#{ReleaseCarBean.saveToFile}"
								value="#{msg.saveToFile}" />
							<%-- onclick="showWaitDialog();" nemuze byt, pac to neni jak zrusit--%>
						</h:panelGroup>

					</h:form>

				</t:div>

				<%-- Obecna chyba/hlaska --%>
				<h:messages infoClass="infoMessage" errorClass="errorMessage"
					showDetail="true" globalOnly="true" />

			</t:div>

			<%-- paticka --%>
			<%@include file="footer.jspf"%>

		</t:div>
	</t:documentBody>
</f:view>
</html>
